import request from '@/utils/request'

// 查询员工账号列表
export function listAccount(query) {
  return request({
    url: '/business/account/list',
    method: 'get',
    params: query
  })
}

// 查询员工账号详细
export function getAccount(accountId) {
  return request({
    url: '/business/account/' + accountId,
    method: 'get'
  })
}

// 新增员工账号
export function addAccount(data) {
  return request({
    url: '/business/account',
    method: 'post',
    data: data
  })
}

// 修改员工账号
export function updateAccount(data) {
  return request({
    url: '/business/account',
    method: 'put',
    data: data
  })
}

// 删除员工账号
export function delAccount(accountId) {
  return request({
    url: '/business/account/' + accountId,
    method: 'delete'
  })
}
